package com.xtd.project.assets.event;

import com.xtd.framework.aspectj.lang.annotation.Excel;
import org.springframework.context.ApplicationEvent;

public class DbAssetsStockLockEvent extends ApplicationEvent {
    /** 资产id */
    private Long dbAsStId;

    /** 申请表id */
    private Long dbAsStTableId;

    /** 申请表名 */
    private String dbAsStTableName;

    public DbAssetsStockLockEvent(Object source,Long dbAsStId,Long dbAsStTableId,String dbAsStTableName) {
        super(source);
        this.dbAsStId=dbAsStId;
        this.dbAsStTableId=dbAsStTableId;
        this.dbAsStTableName=dbAsStTableName;
    }

    public Long getDbAsStId() {
        return dbAsStId;
    }

    public void setDbAsStId(Long dbAsStId) {
        this.dbAsStId = dbAsStId;
    }

    public Long getDbAsStTableId() {
        return dbAsStTableId;
    }

    public void setDbAsStTableId(Long dbAsStTableId) {
        this.dbAsStTableId = dbAsStTableId;
    }

    public String getDbAsStTableName() {
        return dbAsStTableName;
    }

    public void setDbAsStTableName(String dbAsStTableName) {
        this.dbAsStTableName = dbAsStTableName;
    }
}
